
# Contributing to Anaconda Navigator

# Pull requests

Open pull requests for all non-trivial commits into master. 

 1. All pull requests will be treated as a work in progress unless a comment is made that it is ready to merge 
 1. The creator of the pull request should merge the pull request unless otherwise specified
 1. The creator should assign a reviewer in the PR comments to look it over, the reviewer should give an
    explicit go-ahead to merge

## Pull request template

 A PR request might fix one or more issues, and by doing so it should close those issues. This can be achieved automatically by github when including a set of keywords and the issue number the PR fixes `Fixed #<ISSUE-NUMBER>`. Several issues can be included inthe PR description for closing several issues on PR merge. 

[More information](https://help.github.com/articles/closing-issues-via-commit-messages/ )

### Zenhub specific
- All pull requests must include the `PR: ` prefix in the title.
- Pull requests must not define an estimation. Issues that the PR refers to/fixes, must include the estimation.


Bellow is a template that can be used for creating new Pull Requests.

```markdown
Fixes #<ISSUE-NUMBER>

---

## Description
Describe what the pull request does.

## Todo
If the pull request has different subparts, this list can keep track
of the progress and serve as a reminder of what is mising. 
- [ ] Subpart 1
- [ ] Subpart 2
- [ ] Add tests for new functionality
```

# Naming branches

Branches should have the form `<type>/<summary>` for example `feature/yum`


Test before you merge 

*Type* should be one of:

 *  **feature** : for all features or enhansements 
 *  **fix** : for any fixes to existing code
 *  **your username** : for any misc work you are doing


# Testing

Before you merge, make sure the code is running in Python 2.7 and Python 3.4 (or higher)


# Using Labels in GitHub Anaconda UI Repo

* Type
  * Bug
  * Enhancement
  * Question
  * Documentation
  * Design/UX
* Severity
  * High - client can't use the system --> We are actively working to fix in the next 1-2 weeks
  * Medium - most bugs
  * Low - low impact, cosmetic, only visible internally
  * Wontfix -->  we have accepted this behavior and are unwilling to invest time to fix (these should be closed)
* Component
  * Home
  * Projects
  * Learning
  * Community

* Kanban (Zenhub pipeline):
  * Backlog
  * In Progress
  * Ready for Review
  * Done
