# Title
The title should include "PR: Add" or "PR: Fix" or "PR: Change" plus the component to which the action applies to and what this enables.

Shouldn't be too long and ideally one liner, following this template:

`PR: [ACTION] [#ISSUES CLOSED] - [COMPONENT] - [WHAT ENABLES/BENEFIT]`

**Example**

* `PR: Add #1026, #1027 - Variable Widget - Enable input validation`

---

The PR must include the issues that are fixed (to be close automatically by github upon merge), i.e.:

Fixes #1026
Fixes #1027

---

# Description
Each Pull request must includes a concise but specific, human-readable message from the developer.

# Tests
*How do I test this?*

Add any additional information if required, so the team member(s) reviewing the code can test it.

# Actions
This corresponds to the things that need to be implemented in order to comply with the **Definition of Done**.

More detailed information can be find in the [Product Wiki](https://sites.google.com/a/continuum.io/wiki/product-development/anaconda-platform/anaconda-navigator) or directly in the [definition of Done document](https://docs.google.com/document/d/1bEKCt-3upcHBIG55O331_xZ_D9ssO2MbG_Owkv5NJwE/edit?ts=57238b04#)

* [ ] Implement pep8++ compliant code. (Optional for documentation updates)
* [ ] Implement code that does not raise any flake8 errors. (Optional for documentation updates)
* [ ] Implement the Graphic Elements according to wireframe/mock (Optional for GUI code).
* [ ] Implement QSS friendly Classes to be used in styling (Optional for GUI code).
* [ ] Add correct encoding and copyright headers to files.
* [ ] Add tests for the implemented code. (Optional depending if UI code)
* [ ] Ensure all tests pass.
* [ ] Ensure [coverage](https://coveralls.io/github/ContinuumIO/navigator) does not drop below the previous value.
* [ ] Ensure at least one member of the team has reviewed the code.
* [ ] Update Changelog.
* [ ] Update [docs.continuum.io](https://docs.continuum.io/anaconda/navigator) (Optional if applies).

