# Anaconda Navigator

[![Build Status](https://travis-ci.com/ContinuumIO/navigator.svg?token=sUDHiFrZ4CvGvp5bYPQu&branch=master)](https://travis-ci.com/ContinuumIO/navigator)
[![Build status](https://ci.appveyor.com/api/projects/status/ck1qoh34o3rx4r1i?svg=true)](https://ci.appveyor.com/project/ContinuumAnalytics/navigator)
[![CircleCI](https://circleci.com/gh/ContinuumIO/navigator.svg?style=shield&circle-token=54048eca3cb92c7218a2eda8be8e549dd09b9e7a)](https://circleci.com/gh/ContinuumIO/navigator)
[![Coverage Status](https://coveralls.io/repos/github/ContinuumIO/navigator/badge.svg?branch=master&t=b6aov7)](https://coveralls.io/github/ContinuumIO/navigator?branch=master)

## Screenshots

### Home screen
![Navigator Home Screen](/img_src/home.png?raw=true "Home Screen")

### Environments screen
![Navigator Environments Screen](/img_src/environments.png?raw=true "Environments Screen")

## To get started:

1. Create an environment with Python

    `conda create --name anav python`

2. Install Anaconda navigator

    `conda install --name anav anaconda-navigator -c continuumcrew `

3. Install an application to test the Home screen

    `conda install --name anav ipython-qtconsole`

4. Activate the environment and run the following command

    `anaconda-navigator`

## Local development


Setup conda environment
```bash
make setup_conda
```

Activate environment
```bash
conda activate anav
```

Setup additional requirements for running Navigator application and executing tests
```bash
make setup_requirements
```

Run application
```bash
make run
```

Run tests
```bash
make test
```