# Check code:

* All dialogs should be tracked with the tracker and return tracking after
closed to the active tab

* Cancelling dialogs should enable any disbaled widgets, if the dialog
disabled them on show/exec

# Update bundled content:

* Run the `scripts/update_metadata.py` to update the bundled metadata

* If files were bundled ensure they are being included in the package by
updating the `MANIFEST.in` and `setup.py`

# Check issues:

* All issues should have a clear title explaining the problem.

* All closed issues must have a resolution tag (tags starting with `reso:`)

# Update version and create tags:

* `git pull origin (or upstream)`

* Update changelog
```
$ loghub continuumio/navigator -u <username> -m <milestone> -ilg type-feature "Features " -ilg type-enhancement "Enhancements" -ilg type-bug "Bugs fixed" -ilr "reso-completed"
```

* Update version in `__init__.py` (set release version, remove 'dev0')

* `git add and git commit`

* `git tag -a vX.X.X -m 'comment'`

* Make conda package for internal use if needed (see below)

* Update version in `__init__.py` (add 'dev0' and increment minor)

* `git add and git commit`

* `git push`

* `git push --tags`

# To release a new package:

* For a stable release

  `conda build conda.recipe`

* For a pre-release (i.e. create a package from master)

  `PRERELEASE=True conda build conda.recipe -c spyder-ide -c continuumcrew`

* Upload to Continuum Crew channel

  `anaconda upload anaconda-navigator-***.tar.bz2 -u continuumcrew`
